"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteFile = void 0;
const s3Config_1 = require("../config/s3Config");
const deleteFile = (input) => {
    return new Promise((resolve, reject) => {
        s3Config_1.s3.deleteObject(input)
            .promise()
            .then(() => {
            return resolve(`File: ${input.Key} in bucket: ${input.Bucket} has been successfully deleted.`);
        })
            .catch((e) => {
            return reject(`Failed to delete ${input.Key}
                     ${e}`);
        });
    });
};
exports.deleteFile = deleteFile;
//# sourceMappingURL=delete.js.map