"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.upload = void 0;
const s3Config_1 = require("../config/s3Config");
const upload = (inputParameters) => {
    return new Promise((resolve, reject) => {
        s3Config_1.s3.upload(inputParameters)
            .promise()
            .then(() => {
            return resolve(`File: ${inputParameters.Key} has been successfully uploaded to the bucket: ${inputParameters.Bucket}`);
        })
            .catch((e) => {
            return reject(`Failed to upload the file: ${inputParameters.Key} to the bucket: ${inputParameters.Bucket}
					${e}`);
        });
    });
};
exports.upload = upload;
//# sourceMappingURL=upload.js.map